Name:		plasma5-applets-system-panel
Version:	1.3.0
Release:	%mkrel 1
Summary:	Plasma5 applet that displays a panel with a set of system actions
License:	GPLv3+
Group:		Graphical desktop/KDE
# https://github.com/Musikolo/plasma5-applets-system-panel
Url:		http://kde-apps.org/content/show.php/plasma5-applets-system-panel?content=175309
Source0:	https://dl.opendesktop.org/api/files/download/id/1462338020/175309-%{name}-%{version}.tar.gz

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Plasma)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Quick)

Requires:	plasma-workspace

Provides:	plasma-applet-eyasdp = %{version}-%{release}
Obsoletes:	plasma-applet-eyasdp < 1.2.0-5

%description
Plasma5 applet that displays a panel with a set of system actions.

[*] Supported actions:
 - Standby (turn off monitor to save energy)
 - Lock screen
 - Leave (log out, restart or shut down the computer)
 - Switch user (switch user o create new session)
 - Sleep (suspend to RAM)
 - Hibernate (suspend to disk)

[*] Other features:
 - Supports different layouts
 - Ability to rearrange icons
 - Fully customizable icons

%prep
%setup -q

%build
cd src/
%cmake_kf5
%make_build

%install
%make_install -C src/build

%find_lang plasma_applet_org.kde.plasma.systempanel

%files -f plasma_applet_org.kde.plasma.systempanel.lang
%doc AUTHORS ChangeLog README.md
%license LICENSE
%{_kf5_qmldir}/org/kde/private/systempanel/
%{_kf5_appdatadir}/org.kde.plasma.systempanel.appdata.xml
%{_kf5_services}/plasma-applet-org.kde.plasma.systempanel.desktop
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.systempanel
%{_kf5_iconsdir}/breeze/apps/*/system-standby.svg


%changelog
* Sun Nov 13 2016 daviddavid <daviddavid> 1.3.0-1.mga6
+ Revision: 1066924
- initial package plasma5-applets-system-panel (replace plasma-applet-eyasdp)

